Bug 1202205 - Errors when running puppet agent -t
Summary: Errors when running puppet agent -t
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.0.8
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-16 06:10 UTC by jnikolak
Modified: 2017-02-23 20:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-13 03:12:08 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 RHEL Program Management 2015-03-16 06:13:11 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 6 Lukas Zapletal 2015-03-17 13:23:36 UTC
Please do not mix more bugs in one BZ and file another one.

I need more info - re comment 4.

Comment 8 Lukas Zapletal 2015-03-18 11:22:14 UTC
Hello,

please do not override the priority flag which is used by us to order lists of bugs.

From Katello upstream docs (http://www.katello.org/troubleshooting/index.html#dealing-with-paused-task)

Foreman tasks provides a locking mechanism which is important to prevent the possibility of operations colliding that are being performed concurrently on the same resource (such as synchronizing and deleting a repository at the same time).

When trying to run an operation on a resource that another task is already running, one can get Required lock is already taken by other running tasks.

A locked resource is one where another task that is related to the same resource is already running. Thus, the task being attempted will result in that task being tried in running or paused state. This means that the error is triggered also in cases, where there is a task with unresolved failure (see dealing with paused tasks for more details).

In rare cases, it might be hard to get into the stopped state. There is a possibility to unlock the resource in the running/paused task. This will switch the task into stopped state, freeing the resources for other tasks. Caution: unlocking allows running other tasks to run on potentially inconsistent data, which might lead into further errors. It’s still possible to go to the Dynflow console and resume the tasks, even after using the unlock feature. There are two unlock-related buttons: Unlock and Force Unlock. The only difference between these two is the second one is allowed even when the task is in running state, and therefore is potentially even more dangerous than the Unlock button. See dealing with tasks running too long before attempting to use the Force Unlock option.

Some relevant info at https://access.redhat.com/solutions/1284813

Comment 9 Ohad Levy 2015-03-22 13:11:16 UTC
please provide foreman logs when you execute puppet (and when the node script runs), this will most likely show the actual error.


Note You need to log in before you can comment on or make changes to this bug.